define({"371":{y:0,u:"../Content/Advanced/Perspective.htm",l:-1,t:"Use Perspective in Media Analysis",i:0.000569739967539354,a:"Use Perspective in Media Analysis This section describes how to take account of perspective when processing video, and describes the benefits this provides."},"372":{y:0,u:"../Content/Advanced/Perspective_Introduction.htm",l:-1,t:"Introduction",i:0.000187322912389728,a:"Similar to how a world map represents the globe, an image from a camera is a two-dimensional view of three-dimensional space. Media Server can use perspective when processing video of a scene. This allows Media Server to: convert the position of an object in the scene into real-world 3D coordinates. ..."},"373":{y:0,u:"../Content/Advanced/Perspective_Projection.htm",l:-1,t:"Define the Perspective",i:0.00162112350578174,a:"To understand the effect of perspective on the scene, Media Server requires a projection matrix. This is an array of twelve numbers that it uses to convert locations in the scene image into real-world 3D coordinates. You can specify a projection matrix in your session configuration, by setting the ..."},"374":{y:0,u:"../Content/Advanced/Perspective_Dimensions.htm",l:-1,t:"Define Object Dimensions",i:0.000876289027959158,a:"This section describes how to define known dimensions for objects that appear in the scene. You must do this if you want to: automatically calculate the projection matrix, as described in  Define the Perspective , rather than setting the Projection parameter based on real-world measurements of the ..."},"375":{y:0,u:"../Content/Advanced/Perspective_Filter.htm",l:-1,t:"Filter Objects by Size",i:0.000187322912389728,a:"Media Server can reduce the number of false positive results, by checking whether the size of an object, in pixels, corresponds to the real-world size of such an object at the relevant distance from the camera. To configure this, set the configuration parameter MaxPerspectiveError in your object ..."},"376":{y:0,u:"../Content/Advanced/GPU.htm",l:-1,t:"Enable GPU Acceleration",i:0.00177466156412309,a:"Enable GPU Acceleration This section describes how to use a graphics card (GPU) with Media Server."},"377":{y:0,u:"../Content/Advanced/GPU_Introduction.htm",l:-1,t:"Introduction",i:0.000187322912389728,a:"Media Server can use a graphics card (GPU) to perform some processing tasks: Analysis tasks. Using a GPU rather than the CPU can significantly increase the speed of training and analysis tasks that use Convolutional Neural Networks. The analysis tasks that benefit from GPU acceleration are: Face ..."},"378":{y:0,u:"../Content/Advanced/GPU_Requirements.htm",l:-1,t:"GPU Requirements",i:0.000266935422584624,a:"To accelerate processing by using a GPU, your system must have a NVIDIA graphics card that meets the following requirements. All Quadro and Tesla series cards that meet this requirement are supported. GeForce GTX series cards that meet this requirement are supported, but only with headless Linux ..."},"379":{y:0,u:"../Content/Advanced/GPU_ConfigureMediaServer.htm",l:-1,t:"Configure Media Server",i:0.000187322912389728,a:"This section describes how to configure Media Server to use a GPU. Use a GPU to Ingest and Encode Video Use a GPU for Analysis The number of concurrent tasks that you can run on the GPU is constrained by the resources (such as the amount of memory) available on the graphics card. OpenText recommends ..."},"380":{y:0,u:"../Content/Advanced/GPU_DecodeEncode.htm",l:-1,t:"Use a GPU to Ingest and Encode Video",i:0.000266935422584624,a:"This section describes how to use a GPU for ingesting and encoding video. To use a GPU for ingesting video In your session configuration file, find the section that configures the video ingest engine and set the EnableGPU configuration parameter to TRUE. If the server has more than one graphics card ..."},"381":{y:0,u:"../Content/Advanced/GPU_Analysis.htm",l:-1,t:"Use a GPU for Analysis",i:0.000266935422584624,a:"This section describes how  to use a GPU to accelerate analysis tasks. To use a GPU to accelerate analysis tasks Open the Media Server configuration file in a text editor. In the [Server] section, set the following configuration parameters: For example: [Server]\n...\nCUDAVersion=10 Save and close the ..."},"382":{y:0,u:"../Content/Getting_Started/ParallelProcessingAnalysisGPU.htm",l:-1,t:"Optimize Analysis Performance with a GPU",i:0.000240397919186325,a:"Media Server can use a graphics card (GPU) to perform some processing tasks. Using a GPU rather than the CPU can significantly increase the speed of analysis tasks that use Convolutional Neural Networks. This section describes how to achieve optimum performance when you accelerate the following ..."},"383":{y:0,u:"../Content/Advanced/Chaining/_Chaining.htm",l:-1,t:"Chain Media Servers",i:0.000564736357751708,a:"Chain Media Servers This section describes how to send records to another Media Server, for further processing."},"384":{y:0,u:"../Content/Advanced/Chaining/Introduction.htm",l:-1,t:"Introduction",i:0.000187322912389728,a:"Media Server can send records to another Media Server for further processing. For example, you can run face detection on one Media Server and then send the records describing detected faces to another Media Server that runs face recognition.  In this architecture, the Media Server that ingests the ..."},"385":{y:0,u:"../Content/Advanced/Chaining/_ConfigureOneWay.htm",l:-1,t:"Configure One-Way Chaining",i:0.000187322912389728,a:"Configure One-Way Chaining This section describes how to configure one-way chaining."},"386":{y:0,u:"../Content/Advanced/Chaining/Configure_Upstream.htm",l:-1,t:"Configure the Upstream Media Server",i:0.000187322912389728,a:"This section describes how to configure Media Server to send records to another Media Server for further processing. To send records to another Media Server Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the ..."},"387":{y:0,u:"../Content/Advanced/Chaining/Configure_Downstream.htm",l:-1,t:"Configure the Downstream Media Server",i:0.000187322912389728,a:"This section describes how to configure Media Server to receive records from another Media Server and continue processing them. To receive records from another Media Server Create a new configuration file, or open an existing configuration that you want to modify. In the [Session] section, add a new ..."},"388":{y:0,u:"../Content/Advanced/Chaining/Example_Configs.htm",l:-1,t:"Example Configurations",i:0.000187322912389728,a:"This section includes example configurations that demonstrate how to chain two Media Servers. The following configuration, for the upstream Media Server, runs face detection and then sends the records to a Media Server at gpu-mediaserver:14000: ..."},"389":{y:0,u:"../Content/Advanced/Chaining/StartAndStopProcessing.htm",l:-1,t:"Start and Stop Processing",i:0.000187322912389728,a:"This section describes how to start and stop processing, when you have chosen to split processing between multiple Media Servers. To start processing Start processing as described in  Start Processing . Send the Process action to the upstream Media Server only. You can use the Config, ConfigName, or ..."},"390":{y:0,u:"../Content/Advanced/Chaining/LimitNumberSessions.htm",l:-1,t:"Configure the Maximum Number of Sessions",i:0.000187322912389728,a:"Your Media Server may receive many requests from upstream Media Servers. For example, you might have several Media Servers running face detection but use a single Media Server with a GPU to perform face recognition for all of your cameras or video feeds. The maximum number of processing sessions to ..."},"391":{y:0,u:"../Content/Advanced/Chaining/_ConfigureRemoteAnalysis.htm",l:-1,t:"Configure Feedback Chaining",i:0.000187322912389728,a:"Configure Feedback Chaining This section describes how to configure feedback chaining."},"392":{y:0,u:"../Content/Advanced/Chaining/EnableRemoteAnalysis.htm",l:-1,t:"Enable Feedback Chaining",i:0.000346547932779519,a:"You must enable feedback chaining by making some configuration changes on your downstream Media Server. In the [Chaining] section of the configuration file, set the parameter RemoteAnalysisConfigurations. Specify a comma-separated list of configurations that can be used to perform remote analysis ..."},"393":{y:0,u:"../Content/Advanced/Chaining/Configure_Upstream_RemoteAnalysis.htm",l:-1,t:"Configure the Upstream Media Server",i:0.000187322912389728,a:"This section describes how to configure Media Server to send records to another Media Server. To send records to another Media Server Create a new configuration to send to Media Server with the process action, or open an existing configuration that you want to modify. In the [Session] section, add a ..."},"394":{y:0,u:"../Content/Advanced/Chaining/Configure_Remote.htm",l:-1,t:"Configure the Remote Media Server",i:0.000187322912389728,a:"This section describes how to create a configuration that ingests records from an upstream Media Server, and performs analysis on those records.  Before starting this procedure, enable feedback chaining by following the instructions in  Enable Feedback Chaining . To receive records from another ..."},"395":{y:0,u:"../Content/Advanced/Chaining/Example_Configs_RemoteAnalysis.htm",l:-1,t:"Example Configurations",i:0.000187322912389728,a:"This section includes example configurations that demonstrate how to configure feedback chaining. The following configuration, for the upstream Media Server, runs face detection and then sends records to a Media Server at gpu-mediaserver:14000 for remote face recognition: ..."},"396":{y:0,u:"../Content/Advanced/Schedule/Schedule.htm",l:-1,t:"Schedule Actions in Media Server",i:0.000219167916467686,a:"Schedule Actions in Media Server This section describes how to schedule Media Server actions to run regularly."},"397":{y:0,u:"../Content/Advanced/Schedule/ScheduleActions_ISA.htm",l:-1,t:"Use IDOL Site Admin to Schedule Media Server Actions",i:0.000187322912389728,a:"The IDOL Site Admin user interface is an IDOL product that allows you to monitor and maintain your IDOL components from a central location. You can also use IDOL Site Admin to schedule actions in your IDOL components. Set Up IDOL Site Admin to Monitor Media Server The following section provides an ..."},"398":{y:0,u:"../Content/Appendixes/Appendixes.htm",l:-1,t:"Appendixes",i:0.000187322912389728,a:"Appendixes This section contains the following appendixes. OCR Supported Languages OCR Supported Specialized Fonts ANPR Supported Locations Speech Analysis Supported Languages Pre-Trained Models Encoding Profiles Notes on Open Source and Third-Party Software"},"399":{y:0,u:"../Content/Appendixes/OCR_Supported_Languages.htm",l:-1,t:"OCR Supported Languages",i:0.00116542172870286,a:"OCR Supported Languages Media Server OCR supports the following languages. In parentheses following each language name is the corresponding ISO 639-1 language code. Latin Alphabet Arabic Alphabet Chinese Alphabet Cyrillic Alphabet Other Alphabets"},"400":{y:0,u:"../Content/Appendixes/Specialized_Fonts.htm",l:-1,t:"OCR Supported Specialized Fonts",i:0.000289681854068879,a:"OCR Supported Specialized Fonts OCR supports the following specialized fonts and character sets."},"401":{y:0,u:"../Content/Appendixes/ANPR_Locations.htm",l:-1,t:"ANPR Supported Locations",i:0.000210069343873984,a:"ANPR Supported Locations The Automatic Number Plate Recognition (ANPR) analysis engine supports reading number plates from the following locations."},"402":{y:0,u:"../Content/Appendixes/SpeechLanguages.htm",l:-1,t:"Speech Analysis Supported Languages",i:0.0013263553670684,a:"Speech Analysis Supported Languages The following table describes the languages that are supported by language identification and speech-to-text. The \"16kHz\" columns refer to analysis for broadband audio and the \"8kHz\" columns refer to telephony."},"403":{y:0,u:"../Content/Appendixes/PreTrained_Models.htm",l:-1,t:"Pre-Trained Models",i:0.000210069343873984,a:"OpenText may provide pre-trained models that you can use with Media Server. The following models are currently available, in the package MediaServerPretrainedModels_\u003cVERSION\u003e_COMMON.zip. When you download this package, ensure that  \u003cVERSION\u003e matches the version of Media Server that you are using."},"404":{y:0,u:"../Content/Appendixes/PreTrained_Classifiers.htm",l:-1,t:"Image Classifiers",i:0.000332314284440777,a:"To import a pre-trained image classifier, use the action  ImportClassifier . For more information about how to import a classifier, see  Import a Classifier . ImageClassifier_Broadcast.dat A classifier that can be used on broadcast footage to classify video frames into the classes \"Adverts\" and ..."},"405":{y:0,u:"../Content/Appendixes/PreTrained_Encoders.htm",l:-1,t:"Image Embedding Encoders",i:0.0013753844269109,a:"To import an image embedding encoder into your training database, use the action  ImportImageEmbeddingEncoder . ImageEmbedding_Clip-ViT-B-32.dat An embedding is a numerical representation of an image - a vector that you can index into your IDOL Content component. If you want to perform image search ..."},"406":{y:0,u:"../Content/Appendixes/PreTrained_Recognizers.htm",l:-1,t:"Object Class Recognizers",i:0.00148396727319793,a:"To import a pre-trained recognizer, use the action  ImportObjectClassRecognizer . For more information about how to import a recognizer into your training database, see  Import a Recognizer . Visual Analytics To use the following recognizers, Media Server must be able to request a visual channel ..."},"407":{y:0,u:"../Content/Appendixes/Encoding_Profiles.htm",l:-1,t:"Encoding Profiles",i:0.000436965285091925,a:"The following encoding profiles are supplied with Media Server for use with the MPEG and Rolling Buffer encoders. Video Profiles The following profiles are MPEG4 profiles that use the H264 codec for encoding video. These are suitable for playback over the web, for example if your users view video ..."},"408":{y:0,u:"../Content/ThirdPartyLicenses/AdditionalNotes.htm",l:-1,t:"Notes on Open Source and Third-Party Software",i:0.000210069343873984,a:"Notes on Open Source and Third-Party Software"},"409":{y:0,u:"../Content/ThirdPartyLicenses/CUDA.htm",l:-1,t:"CUDA Toolkit",i:0.000187322912389728,a:"Media Server statically links (on Linux) and dynamically links (on Windows) against the following third-party libraries: CUDA toolkit Windows: cudart.dll, cublas.dll, curand.dll Linux: libcudart_static.a, libcublas_static.a, libcurand_static.a, libculibos.a Media Server does not use any other ..."},"410":{y:0,u:"../Content/ThirdPartyLicenses/cuDNN.htm",l:-1,t:"cuDNN",i:0.000187322912389728,a:"cuDNN Media Server statically links (on Linux) and dynamically links (on Windows) against the following third-party libraries: CUDNN (version 3) redistributables Windows: cudnn.dll Linux: libcudnn_static.a"},"411":{y:0,u:"../Content/ThirdPartyLicenses/FFmpeg_notes.htm",l:-1,t:"FFmpeg",i:0.000187322912389728,a:"The FFmpeg libraries distributed with Media Server were compiled using the source code available from  http://ffmpeg.org/releases/  with the compiler options shown below (from ffmpeg -L). Windows ffmpeg version 4.1 Copyright (c) 2000-2018 the FFmpeg developers\n built with Microsoft (R) C/C++ ..."},"412":{y:0,u:"../Content/ThirdPartyLicenses/GOP.htm",l:-1,t:"GOP",i:0.000187322912389728,a:"GOP BSD License ------- All code here is under a BSD license and can be used freely for academic and non-academic purposes. One exception are the saliency based seeds (saliency.cpp), which use the patented saliency filter. Media Server does not use the saliency filter."},"413":{y:0,u:"../Content/ThirdPartyLicenses/libheif.htm",l:-1,t:"libde265 and libheif",i:0.000187322912389728,a:"Media Server uses these third-party libraries to provide support for HEIC images. The libraries distributed with Media Server were compiled using the source code available from: libde265 version 1.0.15 -  https://github.com/strukturag/libde265 libheif version 1.17.6 -  ..."},"414":{y:0,u:"../Content/ThirdPartyLicenses/OpenBLAS.htm",l:-1,t:"OpenBLAS",i:0.000187322912389728,a:"The OpenBLAS library (libopenblas.dll) provided for Media Server on the 64-bit Windows platform was compiled using MinGW-w64 and statically linked to MinGW-w64 runtime libraries. mediaserver.exe is not linked to the MinGW-w64 library. MinGW-w64 is used only to compile OpenBLAS on the 64-bit Windows ..."},"415":{y:0,u:"../Content/Configuration/SessionConfiguration.htm",l:-1,t:"Session Configuration Reference",i:0.000187322912389728,a:"Session Configuration Reference This section describes the parameters that you can use to configure processing. Set these parameters in the configuration that you pass to the process action when you begin processing, and not in the Media Server configuration file."},"416":{y:0,u:"../Content/Configuration/Analysis/_Analysis.htm",l:-1,t:"Analysis",i:0.000187322912389728,a:"This section describes parameters that you can use to configure analysis tasks. Set these parameters in the configuration that you pass to the process action when you begin processing, and not in the Media Server configuration file. In the [Session] section, use the  Engine parameter to specify the ..."},"417":{y:0,u:"../Content/Configuration/Analysis/Type.htm",l:-1,t:"Type",i:0.00167900596230763,a:"Type The analysis engine to use. Set this parameter to one of the following values: Type: String Default:   Required: Yes Configuration Section: TaskName Example: Type=Barcode See Also:  "},"418":{y:0,u:"../Content/Configuration/Analysis/AlertPath/_AlertPath.htm",l:-1,t:"Alert - Path",i:0.000226966322595464,a:"Alert - Path Generates an alert when an object follows a specified path through the scene. Before using this analysis engine, configure a task such as  Object Class Recognition  to track objects. Output Tracks To see an example record, use the action  GetExampleRecord ."},"419":{y:0,u:"../Content/Configuration/Analysis/AlertPath/AllowedDeviation.htm",l:-1,t:"AllowedDeviation",i:0.00146303729449082,a:"Specifies how far an object can deviate from the path but still cause an alert. Specify a value followed by the units that you want to use: percent or % - Percentage of the smallest image or video dimension (width or height). pixels or px - Number of pixels. If you do not specify any units, Media ..."},"420":{y:0,u:"../Content/Configuration/Analysis/AlertPath/Input.htm",l:-1,t:"Input",i:0.00021947660327066,a:"Input The name of the image track to analyze.  The track must contain position information for the objects that you are tracking, and the source frames. Specify the track name in the format  TaskName.TrackName, where  TaskName is the name of the task that produced the track."},"421":{y:0,u:"../Content/Configuration/Analysis/AlertPath/MaximumTime.htm",l:-1,t:"MaximumTime",i:0.00021947660327066,a:"MaximumTime The maximum amount of time permitted to move along the path from start to finish. If an object takes longer than the specified time duration, Media Server does not generate an alert."},"422":{y:0,u:"../Content/Configuration/Analysis/AlertPath/Path.htm",l:-1,t:"Path",i:0.00146303729449082,a:"Defines the path through the scene. Specify a list of two or more points followed by the units that you want to use. The top-left pixel has the coordinates 0,0 (x-coordinates represent the distance from the left side of the frame and y-coordinates represent the distance from the top of the frame). ..."},"423":{y:0,u:"../Content/Configuration/Analysis/AlertRegion/_AlertRegion.htm",l:-1,t:"Alert - Region",i:0.000226966322595464,a:"Alert - Region Generates an alert when an object is present within a specified region for a specified amount of time. Before using this analysis engine, configure a task such as  Object Class Recognition  to track objects. Output Tracks To see an example record, use the action  GetExampleRecord ."},"424":{y:0,u:"../Content/Configuration/Analysis/AlertRegion/FreeformRegion.htm",l:-1,t:"FreeformRegion",i:0.00146303729449082,a:"The region of the scene that you want to monitor. Use this parameter if the region of interest is a shape other than a rectangle. To define a rectangular region, set the  Region  parameter instead. Specify a list of points (at least three) followed by the units that you want to use. The top-left ..."},"425":{y:0,u:"../Content/Configuration/Analysis/AlertRegion/Input.htm",l:-1,t:"Input",i:0.00021947660327066,a:"Input The name of the image track to analyze.  The track must contain position information for the objects that you are tracking, and the source frames. Specify the track name in the format  TaskName.TrackName, where  TaskName is the name of the task that produced the track."},"426":{y:0,u:"../Content/Configuration/Analysis/AlertRegion/MinimumTime.htm",l:-1,t:"MinimumTime",i:0.00021947660327066,a:"MinimumTime The amount of time that an object must remain within the region before Media Server generates an event."},"427":{y:0,u:"../Content/Configuration/Analysis/AlertRegion/Region.htm",l:-1,t:"Region",i:0.00146303729449082,a:"The region of the scene that you want to monitor. Specify the region as a comma-separated list of values in the order:  left,top,width,height, followed by the units that you want to use. left is the distance from the left of the frame to the left edge of the region. top is the distance from the top ..."},"428":{y:0,u:"../Content/Configuration/Analysis/AlertStationary/_AlertStationary.htm",l:-1,t:"Alert - Stationary",i:0.000226966322595464,a:"Generates an alert when an object is stationary for a specified amount of time. By default the engine analyzes the entire scene but you can also restrict analysis to a region. Before using this analysis engine, configure a task such as  Object Class Recognition  to track objects. Output Tracks To ..."},"429":{y:0,u:"../Content/Configuration/Analysis/AlertStationary/FreeformRegion.htm",l:-1,t:"FreeformRegion",i:0.00146303729449082,a:"The region of the scene that you want to monitor. Use this parameter if the region of interest is a shape other than a rectangle. To define a rectangular region, set the  Region  parameter instead. Specify a list of points (at least three) followed by the units that you want to use. The top-left ..."},"430":{y:0,u:"../Content/Configuration/Analysis/AlertStationary/Input.htm",l:-1,t:"Input",i:0.00021947660327066,a:"Input The name of the image track to analyze.  The track must contain position information for the objects that you are tracking, and the source frames. Specify the track name in the format  TaskName.TrackName, where  TaskName is the name of the task that produced the track."},"431":{y:0,u:"../Content/Configuration/Analysis/AlertStationary/MinimumTime.htm",l:-1,t:"MinimumTime",i:0.00021947660327066,a:"MinimumTime The amount of time that an object must remain stationary before Media Server generates an event."},"432":{y:0,u:"../Content/Configuration/Analysis/AlertStationary/Region.htm",l:-1,t:"Region",i:0.00146303729449082,a:"The region of the scene that you want to monitor. Specify the region as a comma-separated list of values in the order:  left,top,width,height, followed by the units that you want to use. left is the distance from the left of the frame to the left edge of the region. top is the distance from the top ..."},"433":{y:0,u:"../Content/Configuration/Analysis/AlertTripwire/_AlertTripWires.htm",l:-1,t:"Alert - Tripwire",i:0.000226966322595464,a:"Alert - Tripwire Generates an alert when an object crosses a tripwire. Before using this analysis engine, configure a task such as  Object Class Recognition  to track objects. Output Tracks To see an example record, use the action  GetExampleRecord ."},"434":{y:0,u:"../Content/Configuration/Analysis/AlertTripwire/CrossingDirection.htm",l:-1,t:"CrossingDirection",i:0.000225907341446847,a:"Media Server only generates an alert when an object crosses the tripwire in the specified direction: Any - any direction LeftToRight RightToLeft Be aware that \"left\" and \"right\" do not always correspond to an object\u0027s position in the scene. To determine which side of the tripwire is the \"left\" and ..."},"435":{y:0,u:"../Content/Configuration/Analysis/AlertTripwire/Input.htm",l:-1,t:"Input",i:0.000225907341446847,a:"Input The name of the image track to analyze.  The track must contain position information for the objects that you are tracking, and the source frames. Specify the track name in the format  TaskName.TrackName, where  TaskName is the name of the task that produced the track."},"436":{y:0,u:"../Content/Configuration/Analysis/AlertTripwire/Tripwire.htm",l:-1,t:"Tripwire",i:0.000225907341446847,a:"The position of the tripwire in the scene. Specify a list of points followed by the units that you want to use. The top-left pixel has the coordinates 0,0 (x-coordinates represent the distance from the left side of the frame and y-coordinates represent the distance from the top of the frame). You ..."},"437":{y:0,u:"../Content/Configuration/Analysis/AudioCategorize/_AudioCategorize.htm",l:-1,t:"Audio Categorization",i:0.000226966322595464,a:"Audio Categorization Audio categorization identifies and classifies audio segments, for example as \"speech\", \"silence\", \"noise\", or \"music\". Output Tracks For more information see  Audio Categorization Results  or use the action  GetExampleRecord ."},"438":{y:0,u:"../Content/Configuration/Analysis/AudioCategorize/Input.htm",l:-1,t:"Input",i:0.000299089113465556,a:"Input The name of an audio track to analyze.  The default value analyzes the first audio track produced by the ingest engine, so in most cases you do not need to set this parameter. You might need to specify a value if the source media contains multiple audio streams."},"439":{y:0,u:"../Content/Configuration/Analysis/AudioCategorize/SampleFrequency.htm",l:-1,t:"SampleFrequency",i:0.000299089113465556,a:"SampleFrequency The sample frequency to use when analyzing the audio, in samples per second (Hz)."},"440":{y:0,u:"../Content/Configuration/Analysis/AudioCategorize/SegmentDuration.htm",l:-1,t:"SegmentDuration",i:0.00021947660327066,a:"The maximum duration of a record in the SegmentedResult or SegmentedResultWithSource track. Media Server does not generate records in the Result or ResultWithSource tracks until an event has finished, because each record represents a complete event. The maximum duration of a record in the ..."},"441":{y:0,u:"../Content/Configuration/Analysis/AudioMatch/_AudioMatch.htm",l:-1,t:"Audio Match Analysis",i:0.000386191342985254,a:"Audio Match Analysis An Audio Match analysis task identifies when known audio clips appear in the ingested media. Output Tracks For more information see  Audio Matching Results  or use the action  GetExampleRecord ."},"442":{y:0,u:"../Content/Configuration/Analysis/AudioMatch/Database.htm",l:-1,t:"Database",i:0.000483075080463052,a:"Database The name of the audio match database to use for recognizing known audio clips. You must train Media Server before running the audio match task. For information about how to do this, see  Train Audio Matching ."},"443":{y:0,u:"../Content/Configuration/Analysis/AudioMatch/Input.htm",l:-1,t:"Input",i:0.000234217767667142,a:"Input The name of an audio track to analyze.  The default value analyzes the first audio track produced by the ingest engine, so in most cases you do not need to set this parameter. You might need to specify a value if the source media contains multiple audio streams."},"444":{y:0,u:"../Content/Configuration/Analysis/AudioMatch/SampleFrequency.htm",l:-1,t:"SampleFrequency",i:0.000234217767667142,a:"SampleFrequency The sample frequency to use when analyzing the audio, in samples per second (Hz). This value must match the sample frequency of your chosen  Database ."},"445":{y:0,u:"../Content/Configuration/Analysis/AudioMatch/SyncDatabase.htm",l:-1,t:"SyncDatabase",i:0.000234217767667142,a:"When you train Media Server, your training database is updated with new training data. However, analysis tasks do not use this training data until Media Server has synchronized with the database. This parameter specifies whether Media Server synchronizes with the database before beginning the ..."},"446":{y:0,u:"../Content/Configuration/Analysis/Barcode/_Barcode.htm",l:-1,t:"Barcode Detection",i:0.000386191342985254,a:"Barcode detection finds and reads barcodes. Output Tracks The following table describes the tracks that are generated by this engine. The Output column indicates whether the information contained in the track is included by default in the output created by an output task (when you don\u0027t set the ..."},"447":{y:0,u:"../Content/Configuration/Analysis/Barcode/BarcodeTypes.htm",l:-1,t:"BarcodeTypes",i:0.000220149311083918,a:"A comma-separated list of the  types of barcodes that might appear in the ingested media. The following types are available: EAN-2 and EAN-5 supplement other barcodes (EAN-13, EAN-8, UPC-E, and UPC-A). Media Server does not read EAN-2 and EAN-5 barcodes unless they appear alongside one of these ..."},"448":{y:0,u:"../Content/Configuration/Analysis/Barcode/Input.htm",l:-1,t:"Input",i:0.000220149311083918,a:"Input The name of an image track to analyze. The default value analyzes the first image track produced by the ingest engine. To analyze a different track, specify the name in the format  taskName.trackName, where  taskName is the name of the task that produced the track."},"449":{y:0,u:"../Content/Configuration/Analysis/Barcode/MaxInputQueueLength.htm",l:-1,t:"MaxInputQueueLength",i:0.000220149311083918,a:"Analysis tasks usually do not process every frame of a video. An analysis task chooses  frames to process at regular intervals throughout the video. This interval is called the sample interval. Analysis engines have a default sample interval, and if the engine supports the SampleInterval ..."},"450":{y:0,u:"../Content/Configuration/Analysis/Barcode/Orientation.htm",l:-1,t:"Orientation",i:0.000220149311083918,a:"Orientation The orientation of  barcodes in the ingested media. If barcodes might appear at an orientation other than upright, set this parameter to any. Media Server will automatically detect the orientation (from 90-degree rotations, not arbitrary angles). "},"451":{y:0,u:"../Content/Configuration/Analysis/Barcode/Region.htm",l:-1,t:"Region",i:0.000220149311083918,a:"A region to process, instead of processing the whole image or video frame. Specify the region as a comma-separated list of values in the order:  left,top,width,height, followed by the units that you want to use. left is the distance from the left of the frame to the left edge of the region. top is ..."},"452":{y:0,u:"../Content/Configuration/Analysis/Barcode/SampleInterval.htm",l:-1,t:"SampleInterval",i:0.000220149311083918,a:"Analysis tasks usually do not process every frame of a video. This parameter specifies the minimum interval between frames that are selected to be analyzed. For example, if you set SampleInterval=125ms then any two frames analyzed by the task will be separated by at least 125 milliseconds.  This ..."},"453":{y:0,u:"../Content/Configuration/Analysis/Barcode/SegmentDuration.htm",l:-1,t:"SegmentDuration",i:0.000220149311083918,a:"The maximum duration of a record in the SegmentedResult or SegmentedResultWithSource track. Media Server does not generate records in the Result or ResultWithSource tracks until an event has finished, because each record represents a complete event. The maximum duration of a record in the ..."},"454":{y:0,u:"../Content/Configuration/Analysis/Clothing/_Clothing.htm",l:-1,t:"Clothing Analysis",i:0.000226966322595464,a:"The clothing analysis engine is deprecated in Media Server version 24.4 and later. OpenText recommends using the  person analysis engine  instead. This analysis engine is still available for existing implementations, but it might be incompatible with new functionality. It might be removed in future. ..."},"455":{y:0,u:"../Content/Configuration/Analysis/Clothing/ClothingMode.htm",l:-1,t:"ClothingMode",i:0.000214883218859099,a:"ClothingMode A comma-separated list of regions to identify. You can use the values Full (clothing covering the full body), Upper (upper body), and Lower (lower body)."},"456":{y:0,u:"../Content/Configuration/Analysis/Clothing/Input.htm",l:-1,t:"Input",i:0.000214883218859099,a:"The track on which you want to run analysis. Specify the name in the format taskName.trackName, where  taskName is the name of the analysis task that produced the track. You can specify:  the DataWithSource output track from a  face detection task . the ResultWithSource output track from any face ..."},"457":{y:0,u:"../Content/Configuration/Analysis/Clothing/NumParallel.htm",l:-1,t:"NumParallel",i:0.000214883218859099,a:"The maximum number of CPU threads to use for analysis. In most cases this specifies the number of video frames to analyze concurrently. As long as your server has sufficient resources, increasing the value of this parameter allows Media Server to analyze a greater number of frames in a given time. ..."},"458":{y:0,u:"../Content/Configuration/Analysis/Clothing/SegmentDuration.htm",l:-1,t:"SegmentDuration",i:0.000214883218859099,a:"The maximum duration of a record in the SegmentedResult or SegmentedResultWithSource track. Media Server does not generate records in the Result or ResultWithSource tracks until an event has finished, because each record represents a complete event. The maximum duration of a record in the ..."},"459":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/_ColorCluster.htm",l:-1,t:"Color Clustering",i:0.000429974685031578,a:"Color clustering determines the dominant colors in an image or video frame by clustering similar colors. The task returns the color at the center of each cluster, and the proportion of the pixels that belong to each cluster. If you configure a color dictionary, the task clusters colors around the ..."},"460":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/ColorDictionary.htm",l:-1,t:"ColorDictionary",i:0.000786484608481782,a:"The name or path of dictionary file that associates names with RGB color values. If you set this parameter, the task clusters colors around colors that are defined in the dictionary, and includes a name (such as \"light blue\" or \"red\") for each cluster. Specify either: The name of a dictionary file ..."},"461":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/ColorSpace.htm",l:-1,t:"ColorSpace",i:0.000295049270280725,a:"The color space to use when providing analysis results.  Set this parameter to one of the following values: RGB YCbCr HSL HSV CIELAB Media Server returns a color as three integer values separated by spaces, for example 217 167 142.  For HSL and HSV color spaces, the Hue (H) is reported in the range ..."},"462":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/ColorThreshold.htm",l:-1,t:"ColorThreshold",i:0.000215436760085829,a:"Any color cluster with a score that does not meet the specified threshold is omitted from the results. The score is normally the percentage of the pixels in the image that are part of the cluster. However, if you run color clustering with a color dictionary, the dictionary might apply a greater ..."},"463":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/CombineNamedColors.htm",l:-1,t:"CombineNamedColors",i:0.000362720191108875,a:"A Boolean value that specifies whether to combine clusters that have the same color name. This parameter applies only when you configure a color dictionary by setting the parameter  ColorDictionary . If the dictionary contains two definitions with the same name but different color values, and this ..."},"464":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/Input.htm",l:-1,t:"Input",i:0.000187322912389728,a:"The name of an image track to analyze. When the input is images, Media Server considers each image separately. When the input is video from an ingest engine, or an engine that does not support tracking, Media Server begins a new result when there is a significant change in the color clustering. When ..."},"465":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/MaxInputQueueLength.htm",l:-1,t:"MaxInputQueueLength",i:0.000215436760085829,a:"Analysis tasks usually do not process every frame of a video. An analysis task chooses  frames to process at regular intervals throughout the video. This interval is called the sample interval. Analysis engines have a default sample interval, and if the engine supports the SampleInterval ..."},"466":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/NumParallel.htm",l:-1,t:"NumParallel",i:0.000215436760085829,a:"The maximum number of CPU threads to use for analysis. In most cases this specifies the number of video frames to analyze concurrently. As long as your server has sufficient resources, increasing the value of this parameter allows Media Server to analyze a greater number of frames in a given time. ..."},"467":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/Region.htm",l:-1,t:"Region",i:0.00037466178047562,a:"A region to process, instead of processing the whole image or video frame. Specify the region as a comma-separated list of values in the order:  left,top,width,height, followed by the units that you want to use. left is the distance from the left of the frame to the left edge of the region. top is ..."},"468":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/SampleInterval.htm",l:-1,t:"SampleInterval",i:0.000215436760085829,a:"Analysis tasks usually do not process every frame of a video. This parameter specifies the minimum interval between frames that are selected to be analyzed. For example, if you set SampleInterval=125ms then any two frames analyzed by the task will be separated by at least 125 milliseconds.  This ..."},"469":{y:0,u:"../Content/Configuration/Analysis/ColorCluster/SegmentDuration.htm",l:-1,t:"SegmentDuration",i:0.000215436760085829,a:"The maximum duration of a record in the SegmentedResult track. Media Server does not generate records in the Result track until an event has finished, because each record represents a complete event. The maximum duration of a record in the SegmentedResult track is limited to the value of this ..."},"470":{y:0,u:"../Content/Configuration/Analysis/FaceDemographics/_FaceDemographics.htm",l:-1,t:"Face Demographics",i:0.000263123475730769,a:"The Face Demographics analysis task provides demographic information such as age, gender, and ethnicity for detected faces. Output Tracks The following table describes the tracks that are generated by this engine. The Output column indicates whether the information contained in the track is included ..."},"471":{y:0,u:"../Content/Configuration/Analysis/FaceDemographics/GPUBatchingDuration.htm",l:-1,t:"GPUBatchingDuration",i:0.000215279895999704,a:"This configuration parameter is available only if you have configured Media Server to use a GPU. For information about using a GPU to accelerate analysis, see  Enable GPU Acceleration . The maximum amount of time to wait before sending a batch of video frames to the GPU for analysis. After a video ..."},"472":{y:0,u:"../Content/Configuration/Analysis/FaceDemographics/GPUNumParallel.htm",l:-1,t:"GPUNumParallel",i:0.000215279895999704,a:"This configuration parameter is available only if you have configured Media Server to use a GPU. For information about using a GPU to accelerate analysis, see  Enable GPU Acceleration . If you are not using a GPU, this parameter is ignored but you can set  NumParallel  instead. The maximum number of ..."},"473":{y:0,u:"../Content/Configuration/Analysis/FaceDemographics/Input.htm",l:-1,t:"Input",i:0.000294892406194599,a:"The track on which you want to run analysis.  Specify the name in the format taskName.trackName, where  taskName is the name of the analysis task that produced the track. Providing you have sufficient computational resources, OpenText recommends using the DataWithSource track from your face ..."},"474":{y:0,u:"../Content/Configuration/Analysis/FaceDemographics/NumParallel.htm",l:-1,t:"NumParallel",i:0.000215279895999704,a:"The maximum number of CPU threads to use for analysis. In most cases this specifies the number of video frames to analyze concurrently. If you are using Media Server with GPU support, OpenText recommends that you set NumParallel=1, and set the parameter  GPUNumParallel . As long as your server has ..."},"475":{y:0,u:"../Content/Configuration/Analysis/FaceDemographics/SegmentDuration.htm",l:-1,t:"SegmentDuration",i:0.000215279895999704,a:"The maximum duration of a record in the SegmentedResult or SegmentedResultWithSource track. Media Server does not generate records in the Result or ResultWithSource tracks until an event has finished, because each record represents a complete event. The maximum duration of a record in the ..."},"476":{y:0,u:"../Content/Configuration/Analysis/Face/_Face.htm",l:-1,t:"Face Detection",i:0.000426459147874603,a:"Face Detection detects faces in media. After detecting faces you can send the information to other tasks to perform further analysis, such as  face recognition . Output Tracks The following table describes the tracks that are generated by this engine. The Output column indicates whether the ..."},"477":{y:0,u:"../Content/Configuration/Analysis/Face/ColorAnalysis.htm",l:-1,t:"ColorAnalysis",i:0.000280655935599267,a:"ColorAnalysis Whether to perform color analysis on detected faces in order to reduce false detections. Color analysis is not applied to greyscale images, so faces in black and white photographs are not rejected."},"478":{y:0,u:"../Content/Configuration/Analysis/Face/DetectionThreshold.htm",l:-1,t:"DetectionThreshold",i:0.00020864596203657,a:"The minimum confidence score required to detect a face. Set this parameter to a value between 0 and 100. Increasing the value of this parameter can reduce the number of false positives but increases the risk of missing genuine faces. Reducing the value increases the chance of detecting a genuine ..."},"479":{y:0,u:"../Content/Configuration/Analysis/Face/DetectTilted.htm",l:-1,t:"DetectTilted",i:0.00153399811271375,a:"DetectTilted Whether to detect faces that are tilted to either side when facing the camera."},"480":{y:0,u:"../Content/Configuration/Analysis/Face/FaceDirection.htm",l:-1,t:"FaceDirection",i:0.00158453135740087,a:" Restrict detection to faces looking in specific directions only. You can set this parameter to any (for any direction) or a comma-separated list of the following values: Type: String Default: Any Required: No Configuration Section: TaskName Example: To detect only faces that are looking directly at ..."},"481":{y:0,u:"../Content/Configuration/Analysis/Face/Input.htm",l:-1,t:"Input",i:0.000280655935599267,a:"Input The name of an image track to analyze. The default value analyzes the first image track produced by the ingest engine. To analyze a different track, specify the name in the format  taskName.trackName, where  taskName is the name of the task that produced the track."},"482":{y:0,u:"../Content/Configuration/Analysis/Face/MaxInputQueueLength.htm",l:-1,t:"MaxInputQueueLength",i:0.00020864596203657,a:"Analysis tasks usually do not process every frame of a video. An analysis task chooses  frames to process at regular intervals throughout the video. This interval is called the sample interval. Analysis engines have a default sample interval, and if the engine supports the SampleInterval ..."},"483":{y:0,u:"../Content/Configuration/Analysis/Face/MinSize.htm",l:-1,t:"MinSize",i:0.000280655935599267,a:"The minimum size (diameter) of a face. Media Server does not attempt to detect faces that are smaller than the specified size. Increasing the minimum size can increase processing speed. Specify a value followed by the units that you want to use: percent or % - Percentage of the smallest image or ..."},"484":{y:0,u:"../Content/Configuration/Analysis/Face/NumParallel.htm",l:-1,t:"NumParallel",i:0.000362863725803224,a:"The maximum number of CPU threads to use for analysis. In most cases this specifies the number of video frames to analyze concurrently. As long as your server has sufficient resources, increasing the value of this parameter allows Media Server to analyze a greater number of frames in a given time. ..."},"485":{y:0,u:"../Content/Configuration/Analysis/Face/Orientation.htm",l:-1,t:"Orientation",i:0.00153399811271375,a:"Orientation The orientation of  faces in the video.   To automatically detect the orientation, set this parameter to any. Media Server supports faces that are upright or rotated by 90 or 180 degrees from upright."},"486":{y:0,u:"../Content/Configuration/Analysis/Face/Region.htm",l:-1,t:"Region",i:0.000280655935599267,a:"A region to process, instead of processing the whole image or video frame. Specify the region as a comma-separated list of values in the order:  left,top,width,height, followed by the units that you want to use. left is the distance from the left of the frame to the left edge of the region. top is ..."},"487":{y:0,u:"../Content/Configuration/Analysis/Face/SampleInterval.htm",l:-1,t:"SampleInterval",i:0.000362863725803224,a:"Analysis tasks usually do not process every frame of a video. This parameter specifies the minimum interval between frames that are selected to be analyzed. For example, if you set SampleInterval=125ms then any two frames analyzed by the task will be separated by at least 125 milliseconds.  This ..."},"488":{y:0,u:"../Content/Configuration/Analysis/Face/SegmentDuration.htm",l:-1,t:"SegmentDuration",i:0.00020864596203657,a:"The maximum duration of a record in the SegmentedResult or SegmentedResultWithSource track. Media Server does not generate records in the Result or ResultWithSource tracks until an event has finished, because each record represents a complete event. The maximum duration of a record in the ..."},"489":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/_FaceRecognize.htm",l:-1,t:"Face Recognition",i:0.000334744732207137,a:"Face Recognition identifies faces that are detected in media. Before using face recognition you must train Media Server to recognize faces, by providing images of people who you want to recognize. Output Tracks The following table describes the tracks that are generated by this engine. The Output ..."},"490":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/Database.htm",l:-1,t:"Database",i:0.00177000594989144,a:"A comma-separated list of face databases to use for recognition.  Media Server compares the detected faces to faces in these databases. To use an optimized neural network that you generated with the  FinetuneFaceDatabase  action, you must set this parameter to a single database. Otherwise, Media ..."},"491":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/DisableFineTuning.htm",l:-1,t:"DisableFineTuning",i:0.000203130370647958,a:"DisableFineTuning A Boolean value that specifies whether to ignore the optimized neural network (if you generated one using the  FinetuneFaceDatabase  action) and instead use the standard network that is included in the Media Server installation."},"492":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/GPUBatchingDuration.htm",l:-1,t:"GPUBatchingDuration",i:0.000203130370647958,a:"This configuration parameter is available only if you have configured Media Server to use a GPU. For information about using a GPU to accelerate analysis, see  Enable GPU Acceleration . The maximum amount of time to wait before sending a batch of video frames to the GPU for analysis. After a video ..."},"493":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/GPUNumParallel.htm",l:-1,t:"GPUNumParallel",i:0.000203130370647958,a:"This configuration parameter is available only if you have configured Media Server to use a GPU. For information about using a GPU to accelerate analysis, see  Enable GPU Acceleration . If you are not using a GPU, this parameter is ignored but you can set  NumParallel  instead. The maximum number of ..."},"494":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/Identifier.htm",l:-1,t:"Identifier",i:0.00122550340024944,a:"Identifier A comma-separated list of identifiers that specifies the faces to recognize.  This parameter is available only when you run recognition against a single  Database ."},"495":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/Input.htm",l:-1,t:"Input",i:0.000253428577477484,a:"The track on which you want to run analysis.   Specify the name in the format taskName.trackName, where  taskName is the name of the analysis task that produced the track. Providing you have sufficient computational resources, OpenText recommends using the DataWithSource track from your face ..."},"496":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/MaxFaces.htm",l:-1,t:"MaxFaces",i:0.000253428577477484,a:"The number of face identities in the database(s) that you want to run face recognition against. If the value of MaxFaces is less than the number of faces in the database, the process action does not start. If you expect faces to be added to the database while the face recognition task runs, you ..."},"497":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/MaxRecognitionResults.htm",l:-1,t:"MaxRecognitionResults",i:0.000531916728118506,a:"MaxRecognitionResults The maximum number of recognition results to return per face."},"498":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/Metadata.htm",l:-1,t:"Metadata",i:0.00122550340024944,a:"A metadata field name and value that specifies the faces to recognize. Set this parameter to match detected faces against faces in the database that have specific metadata. You can also set   Database  and  Identifier . Media Server only recognizes faces that match all of the specified criteria. The ..."},"499":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/NumParallel.htm",l:-1,t:"NumParallel",i:0.000203130370647958,a:"The maximum number of CPU threads to use for analysis. In most cases this specifies the number of video frames to analyze concurrently. If you are using Media Server with GPU support, OpenText recommends that you set NumParallel=1, and set the parameter  GPUNumParallel . As long as your server has ..."},"500":{y:0,u:"../Content/Configuration/Analysis/FaceRecognize/OutputIdentities.htm",l:-1,t:"OutputIdentities",i:0.000655262226207698,a:"The types of identities to include in the output. Set this parameter to one of the following values: All - The output includes both recognized and unrecognized faces. In this case Media Server produces at least one record for each face that it attempted to recognize.  Face recognition produces ..."},});